{
  "Colors": {
    "areaSelectionBoxSideColor": "#30FFFFFF",
    "hightlightBlockInInventoryColor": "#30FF30FF",
    "materialListHudItemCountsColor": "#FFFFAA00",
    "schematicRebuildBreakPlaceOverlayColor": "#4C33CC33",
    "schematicRebuildBreakExceptPlaceOverlayColor": "#4CF03030",
    "schematicRebuildReplaceOverlayColor": "#4CF0A010",
    "schematicOverlayColorDiffBlock": "#30F8D650",
    "schematicOverlayColorExtra": "#4CFF4CE6",
    "schematicOverlayColorMissing": "#2C33B3E6",
    "schematicOverlayColorWrongBlock": "#4CFF3333",
    "schematicOverlayColorWrongState": "#4CFF9010"
  },
  "Generic": {
    "areaSelectionsPerWorld": true,
    "changeSelectedCornerOnMove": true,
    "cloneAtOriginalPosition": false,
    "commandDisableFeedback": true,
    "commandFillNoChunkClamp": false,
    "commandUseWorldEdit": false,
    "customSchematicBaseDirectoryEnabled": false,
    "debugLogging": false,
    "datafixerMode": "always",
    "datafixerDefaultSchema": 1139,
    "easyPlaceFirst": true,
    "easyPlaceHoldEnabled": true,
    "easyPlaceMode": false,
    "easyPlaceSinglePlayerHandling": true,
    "easyPlaceProtocolVersion": "auto",
    "easyPlaceSwingHand": true,
    "easyPlaceVanillaReach": true,
    "enableDifferentBlocks": false,
    "entityDataSync": {
      "enabled": true,
      "hotkey": {
        "keys": ""
      }
    },
    "entityDataSyncBackup": true,
    "entityDataSyncCacheTimeout": 2.0,
    "entityDataSyncLoadNbt": true,
    "executeRequireHoldingTool": true,
    "fixChestMirror": true,
    "fixRailRotation": true,
    "fixStairsMirror": true,
    "generateLowercaseNames": false,
    "highlightBlockInInventory": false,
    "itemUsePacketCheckBypass": true,
    "layerModeFollowsPlayer": false,
    "materialListIgnoreState": false,
    "pasteAlwaysUseFill": true,
    "pasteIgnoreBlockEntitiesEntirely": false,
    "pasteIgnoreBlockEntitiesFromFill": true,
    "pasteIgnoreCommandLimitWithNbtRestore": true,
    "pasteIgnoreEntities": false,
    "pasteIgnoreInventories": false,
    "pasteNbtRestoreBehavior": "place_data_modify",
    "pasteToMcFunctionFiles": false,
    "pasteUseFillCommand": true,
    "pasteUsingCommandsInSp": false,
    "pasteUsingServux": true,
    "pickBlockAvoidDamageable": true,
    "pickBlockAvoidTools": false,
    "pickBlockEnabled": true,
    "pickBlockShulkers": false,
    "placementReplaceBehavior": "with_non_air",
    "placementRestriction": false,
    "placementRestrictionWarn": "actionbar",
    "renderMaterialListInGuis": true,
    "renderThreadNoTimeout": true,
    "serverNbtRequestRate": 2,
    "signTextPaste": true,
    "toolItemEnabled": true,
    "unhideSchematicVCS": false,
    "pasteReplaceBehavior": "with_non_air",
    "schematicVcsDeleteMode": "matching_block",
    "selectionCornersMode": "corners",
    "commandFillMaxVolume": 32768,
    "commandLimitPerTick": 64,
    "commandNameClone": "clone",
    "commandNameFill": "fill",
    "commandNameSetblock": "setblock",
    "commandNameSummon": "summon",
    "commandTaskInterval": 1,
    "customSchematicBaseDirectory": "C:\\Users\\kspfa\\AppData\\Roaming\\.minecraft\\schematics",
    "easyPlaceSwapInterval": 0,
    "pickBlockableSlots": "1,2,3,4,5",
    "toolItem": "minecraft:stick",
    "toolItemComponents": "empty"
  },
  "Hotkeys": {
    "addSelectionBox": {
      "keys": ""
    },
    "cloneSelection": {
      "keys": ""
    },
    "deleteSelectionBox": {
      "keys": ""
    },
    "easyPlaceUseKey": {
      "keys": "BUTTON_2",
      "settings": {
        "activate_on": "PRESS",
        "context": "INGAME",
        "allow_empty": false,
        "allow_extra_keys": false,
        "order_sensitive": true,
        "exclusive": false,
        "cancel": true
      }
    },
    "easyPlaceToggle": {
      "keys": "LEFT_ALT,V"
    },
    "executeOperation": {
      "keys": "X,Y"
    },
    "invertGhostBlockRenderState": {
      "keys": ""
    },
    "invertOverlayRenderState": {
      "keys": ""
    },
    "layerModeNext": {
      "keys": "X,PAGE_UP"
    },
    "layerModePrevious": {
      "keys": "X,PAGE_DOWN"
    },
    "layerNext": {
      "keys": "LEFT_ALT,BUTTON_5"
    },
    "layerPrevious": {
      "keys": "LEFT_ALT,BUTTON_4"
    },
    "layerSetHere": {
      "keys": "V"
    },
    "nudgeSelectionNegative": {
      "keys": ""
    },
    "nudgeSelectionPositive": {
      "keys": ""
    },
    "moveEntireSelection": {
      "keys": ""
    },
    "openGuiAreaSettings": {
      "keys": ""
    },
    "openGuiLoadedSchematics": {
      "keys": "LEFT_CONTROL,LEFT_ALT,S"
    },
    "openGuiMainMenu": {
      "keys": "LEFT_CONTROL,LEFT_SHIFT,M"
    },
    "openGuiMaterialList": {
      "keys": "LEFT_CONTROL,LEFT_ALT,L"
    },
    "openGuiPlacementSettings": {
      "keys": ""
    },
    "openGuiSchematicPlacements": {
      "keys": ""
    },
    "openGuiSchematicProjects": {
      "keys": ""
    },
    "openGuiSchematicVerifier": {
      "keys": ""
    },
    "openGuiSelectionManager": {
      "keys": "LEFT_CONTROL,LEFT_ALT,A"
    },
    "openGuiSettings": {
      "keys": ""
    },
    "operationModeChangeModifier": {
      "keys": "LEFT_CONTROL"
    },
    "pickBlockFirst": {
      "keys": "BUTTON_3"
    },
    "pickBlockLast": {
      "keys": ""
    },
    "pickBlockToggle": {
      "keys": ""
    },
    "renderInfoOverlay": {
      "keys": ""
    },
    "renderOverlayThroughBlocks": {
      "keys": "RIGHT_CONTROL"
    },
    "rerenderSchematic": {
      "keys": ""
    },
    "saveAreaAsInMemorySchematic": {
      "keys": ""
    },
    "saveAreaAsSchematicToFile": {
      "keys": ""
    },
    "schematicEditBreakPlaceAll": {
      "keys": ""
    },
    "schematicEditBreakAllExcept": {
      "keys": ""
    },
    "schematicEditBreakPlaceDirection": {
      "keys": ""
    },
    "schematicEditReplaceAll": {
      "keys": ""
    },
    "schematicEditReplaceBlock": {
      "keys": ""
    },
    "schematicEditReplaceDirection": {
      "keys": ""
    },
    "schematicPlacementRotation": {
      "keys": "LEFT_CONTROL,LEFT_ALT,R"
    },
    "schematicPlacementMirror": {
      "keys": "LEFT_CONTROL,LEFT_ALT,M"
    },
    "schematicVCSDeleteBlockByPlacement": {
      "keys": ""
    },
    "schematicVersionCycleModifier": {
      "keys": ""
    },
    "schematicVersionCycleNext": {
      "keys": ""
    },
    "schematicVersionCyclePrevious": {
      "keys": ""
    },
    "selectionGrabModifier": {
      "keys": ""
    },
    "selectionGrow": {
      "keys": ""
    },
    "selectionGrowModifier": {
      "keys": ""
    },
    "selectionNudgeModifier": {
      "keys": "LEFT_ALT"
    },
    "selectionModeCycle": {
      "keys": ""
    },
    "selectionShrink": {
      "keys": ""
    },
    "setAreaOrigin": {
      "keys": ""
    },
    "setSelectionBoxPosition1": {
      "keys": ""
    },
    "setSelectionBoxPosition2": {
      "keys": ""
    },
    "toggleAllRendering": {
      "keys": "LEFT_ALT,R"
    },
    "toggleAreaSelectionBoxesRendering": {
      "keys": ""
    },
    "toggleInfoOverlayRendering": {
      "keys": ""
    },
    "toggleOverlayRendering": {
      "keys": ""
    },
    "toggleOverlayOutlineRendering": {
      "keys": ""
    },
    "toggleOverlaySideRendering": {
      "keys": ""
    },
    "togglePlacementBoxesRendering": {
      "keys": ""
    },
    "togglePlacementRestriction": {
      "keys": ""
    },
    "toggleSchematicBlockRendering": {
      "keys": ""
    },
    "toggleSchematicRendering": {
      "keys": ""
    },
    "toggleSignTextPaste": {
      "keys": ""
    },
    "toggleTranslucentRendering": {
      "keys": ""
    },
    "toggleVerifierOverlayRendering": {
      "keys": ""
    },
    "toolEnabledToggle": {
      "keys": "X,T"
    },
    "toolPlaceCorner1": {
      "keys": "BUTTON_1"
    },
    "toolPlaceCorner2": {
      "keys": "BUTTON_2"
    },
    "toolSelectElements": {
      "keys": "BUTTON_3"
    },
    "toolSelectModifierBlock1": {
      "keys": "LEFT_ALT"
    },
    "toolSelectModifierBlock2": {
      "keys": "LEFT_SHIFT"
    },
    "unloadCurrentSchematic": {
      "keys": ""
    }
  },
  "InfoOverlays": {
    "blockInfoLinesEnabled": true,
    "blockInfoOverlayEnabled": false,
    "infoOverlaysTargetFluids": false,
    "statusInfoHud": false,
    "statusInfoHudAuto": true,
    "verifierOverlayEnabled": true,
    "warnDisabledRendering": true,
    "blockInfoLinesAlignment": "top_right",
    "blockInfoOverlayAlignment": "top_center",
    "infoHudAlignment": "bottom_right",
    "toolHudAlignment": "bottom_left",
    "blockInfoLinesOffsetX": 4,
    "blockInfoLinesOffsetY": 4,
    "blockInfoLinesFontScale": 0.5,
    "blockInfoOverlayOffsetY": 6,
    "infoHudMaxLines": 10,
    "infoHudOffsetX": 1,
    "infoHudOffsetY": 1,
    "infoHudScale": 1.0,
    "materialListHudMaxLines": 10,
    "materialListHudScale": 1.0,
    "toolHudOffsetX": 1,
    "toolHudOffsetY": 1,
    "toolHudScale": 1.0,
    "verifierErrorHilightAlpha": 0.2,
    "verifierErrorHilightMaxPositions": 1000
  },
  "Visuals": {
    "enableRendering": false,
    "enableSchematicRendering": true,
    "enableAreaSelectionBoxesRendering": true,
    "enablePlacementBoxesRendering": true,
    "enableSchematicBlocksRendering": true,
    "enableSchematicFluidRendering": true,
    "enableSchematicFakeLighting": true,
    "enableSchematicOverlay": true,
    "ignoreExistingFluids": false,
    "overlayReducedInnerSides": false,
    "renderAOModernEnable": false,
    "renderAreaSelectionBoxSides": true,
    "renderBlocksAsTranslucent": false,
    "renderCollidingSchematicBlocks": false,
    "renderErrorMarkerConnections": false,
    "renderErrorMarkerSides": true,
    "renderFakeLightingLevel": 15,
    "renderPlacementBoxSides": false,
    "renderPlacementEnclosingBox": true,
    "renderPlacementEnclosingBoxSides": false,
    "renderTranslucentBlockInnerSides": false,
    "schematicOverlayEnableOutlines": true,
    "schematicOverlayEnableResorting": false,
    "schematicOverlayEnableSides": true,
    "schematicOverlayModelOutline": true,
    "schematicOverlayModelSides": true,
    "schematicOverlayRenderThroughBlocks": false,
    "schematicOverlayTypeDiffBlock": true,
    "schematicOverlayTypeExtra": true,
    "schematicOverlayTypeMissing": true,
    "schematicOverlayTypeWrongBlock": true,
    "schematicOverlayTypeWrongState": true,
    "schematicVerifierUseBlockModels": false,
    "ghostBlockAlpha": 0.5,
    "placementBoxSideAlpha": 0.2,
    "schematicOverlayOutlineWidth": 1.0,
    "schematicOverlayOutlineWidthThrough": 3.0
  }
}